Autor Tópico: "Executável" abre e fecha logo em seguida.  (Lida 5351 vezes)

Offline tuliojaltoe

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
"Executável" abre e fecha logo em seguida.
« Online: 04 de Junho de 2015, 14:56 »
Boa tarde,

Estou tentando rodar um programa e aparentemente ele abre e fecha logo em seguida.
Uso Ubuntu 15.04 e já usei esse programa em versões anteriores.

Se alguém puder me ajudar...

Desde já agradeço.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.552
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #1 Online: 04 de Junho de 2015, 16:06 »
Então, /tuliojaltoe/,

É necessário que você diga pelo menos qual é o nome do tal programa, sem o que vai ficar muito difícil, se não impossível alguém te ajudar.

Diga o nome e também a versão do programa que está ocorrendo o problema.

Além disso, além de dizer o nome do tal programa, execute-o a partir de uma janela de Terminal (use as teclas Ctrl Alt T simultaneamente para abrir um terminal) e veja se retorna alguma mensagem de erro, caso em que cole aqui no Fórum a saída de erro resultante, pois eventualmente é um caminho para tentar buscar uma solução.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lcom23

  • Usuário Ubuntu
  • *
  • Mensagens: 126
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #2 Online: 04 de Junho de 2015, 17:46 »
Como disse o Druida, é importante que você diga mais informações, seria,bom que diga qual a versão do seu Ubuntu se é 64 ou 32 bits.
>HP Desktop
>Pentium(R) Dual-Core CPU E5300 @ 2.60GHz
>2 GB Ram

Offline tuliojaltoe

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #3 Online: 04 de Junho de 2015, 19:25 »
Então, estou tentando rodar o ygopro, serve para jogar Yugioh. Eu já executei pelo terminal tbm, caminhei ate a pasta usando "cd" e tentei executar usando "./ygopro64", como disse parece que ele abre e fecha logo em seguida.

O site é "http://www.ygopro.co/". Não sei o porque de não está abrindo, usava sem o wine na versão ubuntu anterior e dessa vez não está funcionando.

A versão que estou tentando é YGOPRO 1.033.4.

Saída do terminal:

tulioaltoe@samsung:~$ cd Downloads/
tulioaltoe@samsung:~/Downloads$ cd ygopro-1.033.4-V2-Percy-linux-update/
tulioaltoe@samsung:~/Downloads/ygopro-1.033.4-V2-Percy-linux-update$ ./ygopro64
Irrlicht Engine version 1.8.0
Linux 3.19.0-18-generic #18-Ubuntu SMP Tue May 19 18:31:35 UTC 2015 x86_64
Creating X window...
Visual chosen: : 529
Using renderer: OpenGL 3.0
Gallium 0.4 on AMD PALM: X.Org
OpenGL driver version is 1.2 or better.
GLSL version: 1.3
tulioaltoe@samsung:~/Downloads/ygopro-1.033.4-V2-Percy-linux-update$

Obrigado.

Offline tuliojaltoe

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #4 Online: 04 de Junho de 2015, 19:29 »
Meu Ubuntu é de 64 bits.
« Última modificação: 04 de Junho de 2015, 19:45 por tuliojaltoe »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.552
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #5 Online: 04 de Junho de 2015, 20:04 »
Talvez nao rode no Ubuntu 15.04 apenas porque nao haja suporte para essa versao, que ainda eh muito recente. Note que talvez nem venha a ter, pois a versao 15.04 eh uma versao transitoria, que serve para experimentos de novos conceitos e exatamente por isso tem uma curta duracao, um curto periodo de vida.

Dificilmente um desenvolvedor vai investir tempo e esforco em adequar um software seu a uma versao transitoria de sistema operacional sabendo que muito daqui a pouco essa versao sai de linha. Nao faz sentido o esforco.

Possivelmente a melhor alternativa eh usar a versao 14.04, que eh uma LTS, com suporte de longo prazo ou ate mesmo uma versao 12.04, que igualmente eh LTS e vigora ate abril/2017, ao passo que a versao 15.04 vai apenas ate janeiro/2016
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.552
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #6 Online: 04 de Junho de 2015, 20:11 »
De qualquer maneira verifique se atribuiu permissao de execucao (pelo resultado que voce postou parece que sim, mas confirme)

Código: [Selecionar]
chmod +x ygopro64
Execute ainda:

Código: [Selecionar]
sudo apt-get install libevent-pthreads-2.0-5
Se der a mensagem que ja se encontra instalado, tente:

Código: [Selecionar]
sudo apt-get install --reinstall libevent-pthreads-2.0-5
Se essa biblioteca nao estiver disponivel no repositorio da versao 15.04 entao nao havera compatibilidade mesmo.
« Última modificação: 04 de Junho de 2015, 20:13 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.552
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #7 Online: 04 de Junho de 2015, 20:26 »
Complementando: se na versão 15.04 não aparecer o libevent-pthreads-2.0-5 para instalar, procure por uma versão mais nova, quem sabe funciona, não custa tentar.

Código: [Selecionar]
sudo apt-cache search libevent-pthreads*
(não esquece do asterisco * aí no final do comando acima, que é para achar qualquer coisa)

Se houver, isso deverá indicar o que há disponível, então aí você adequa ao caso concreto e instala.

Ôops, não ficou claro, vamos de novo!

Se aparecer, por exemplo, que tem a versão 2.0-19 ou qualquer coisa da libevent-pthreads (ou seja, uma versão mais nova), então na falta daquela você instala a versão mais nova e vê o que acontece.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline tuliojaltoe

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:"Executável" abre e fecha logo em seguida.
« Resposta #8 Online: 05 de Junho de 2015, 13:51 »
Obrigado, executei tudo e ainda não funciona, o jeito é voltar para a versão LTS. Obrigado pela ajuda.